Skip to main content
GET
/
v1
/
query
/
get-account-balances
Get account balances
curl --request GET \
  --url https://api.example.com/v1/query/get-account-balances \
  --header 'X-Pubkey: <x-pubkey>' \
  --header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
  --header 'X-Signature: <x-signature>' \
  --header 'X-Timestamp: <x-timestamp>'
{
  "account_id": "550e8400-e29b-41d4-a716-446655440000",
  "sub_accounts": [
    {
      "wallet_address": "0xa5b709B14859EdF820347D78E587b1634B0ec791",
      "positions": [
        {
          "chain_id": 123,
          "vault_address": "<string>",
          "is_async_vault": true,
          "asset_address": "<string>",
          "currency": "usd",
          "balance": "123.456789",
          "shares": "123.456789",
          "price_per_share": "123.456789"
        }
      ],
      "idle": [
        {
          "chain_id": 123,
          "balance": "123.456789",
          "currency": "usd"
        }
      ]
    }
  ]
}

Authorizations

X-Pubkey, X-Timestamp, X-Signature
string
header
required

Headers

X-Pubkey
string
required

Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd

X-Timestamp
string
required

Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826

X-Signature
string
required

ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...

Query Parameters

account_id
string<uuid>
required

The account ID A UUID string

Example:

"550e8400-e29b-41d4-a716-446655440000"

chain_id
integer<int32> | null

The chain ID to get balances for (optional, default = all chains)

include_test_vaults
boolean

Whether to include test vaults (optional, default = false)

Response

Account balances retrieved successfully

account_id
string<uuid>
required

A UUID string

Example:

"550e8400-e29b-41d4-a716-446655440000"

sub_accounts
object[]
required

Array of account's sub-accounts and their balances